### Method

# Qmi MessageWmsSendAckInput set_3gpp_failure_information

since: 1.28

#### Declaration [src]

    gboolean
    qmi_message_wms_send_ack_input_set_3gpp_failure_information (
      QmiMessageWmsSendAckInput* self,
      QmiWmsGsmUmtsRpCause value_3gpp_failure_information_rp_cause,
      QmiWmsGsmUmtsTpCause value_3gpp_failure_information_tp_cause,
      GError** error
    )

#### Description [src]

Set the ‘3GPP Failure Information’ field in the message.

Available since: 1.28

#### Parameters

`value_3gpp_failure_information_rp_cause`

  Type: `QmiWmsGsmUmtsRpCause`

  A `QmiWmsGsmUmtsRpCause`.

`value_3gpp_failure_information_tp_cause`

  Type: `QmiWmsGsmUmtsTpCause`

  A `QmiWmsGsmUmtsTpCause`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.